### Hierarchy

- Httpified
  - Request

## Index

### Properties

- headers

### Methods

- getHeader
- hasHeader
- removeHeader
- setHeader

## Properties

### headers

headers: RawDict

- Defined in node_modules/@types/caseless/index.d.ts:22

## Methods

### getHeader

- getHeader(name: KeyType): ValueType | undefined

- - Defined in node_modules/@types/caseless/index.d.ts:26

  #### Parameters

  - ##### name: KeyType

  #### Returns ValueType | undefined

### hasHeader

- hasHeader(name: KeyType): KeyType | false

- - Defined in node_modules/@types/caseless/index.d.ts:25

  #### Parameters

  - ##### name: KeyType

  #### Returns KeyType | false

### removeHeader

- removeHeader(name: KeyType): boolean

- - Defined in node_modules/@types/caseless/index.d.ts:27

  #### Parameters

  - ##### name: KeyType

  #### Returns boolean

### setHeader

- setHeader(name: KeyType, value: ValueType, clobber?: undefined | false | true): KeyType | false
- setHeader(dict: RawDict): void

- - Defined in node_modules/@types/caseless/index.d.ts:23

  #### Parameters

  - ##### name: KeyType

  - ##### value: ValueType

  - ##### Optional clobber: undefined | false | true

  #### Returns KeyType | false

- - Defined in node_modules/@types/caseless/index.d.ts:24

  #### Parameters

  - ##### dict: RawDict

  #### Returns void

Generated using TypeDoc